com.genesyslab.wfm8.API.service.calendar800

## Class DateTimeOffIndicators

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar800.DateTimeOffIndicators

- All Implemented Interfaces:
    java.io.Serializable

      public class DateTimeOffIndicators
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Double>` | `actualOpenings` Time Off openings value array, where 0 - no openings, negative number means that more Time Off taken than set by limit
    `protected int` | `actualOpeningsNSizeIs` Time Off openings array size
    `protected double` | `date` Date
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeOffIndicators()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Double>` | `getActualOpenings()` Gets the actualOpenings value for this DateTimeOffIndicators.
    `int` | `getActualOpeningsNSizeIs()` Gets the actualOpeningsNSizeIs value for this DateTimeOffIndicators.
    `double` | `getDate()` Gets the date value for this DateTimeOffIndicators.
    `int` | `hashCode()`
    `void` | `setActualOpenings(java.util.List<java.lang.Double> actualOpenings)` Sets the actualOpenings value for this DateTimeOffIndicators.
    `void` | `setActualOpeningsNSizeIs(int actualOpeningsNSizeIs)` Sets the actualOpeningsNSizeIs value for this DateTimeOffIndicators.
    `void` | `setDate(double date)` Sets the date value for this DateTimeOffIndicators.
    `java.lang.String` | `toString()`
    `DateTimeOffIndicators` | `withActualOpenings(java.util.Collection<java.lang.Double> values)`
    `DateTimeOffIndicators` | `withActualOpenings(java.lang.Double... values)`
    `DateTimeOffIndicators` | `withActualOpeningsNSizeIs(int value)`
    `DateTimeOffIndicators` | `withDate(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### date

          protected double date

      Date

    - #### actualOpeningsNSizeIs

          protected int actualOpeningsNSizeIs

      Time Off openings array size

    - #### actualOpenings

          protected java.util.List<java.lang.Double> actualOpenings

      Time Off openings value array, where 0 - no openings, negative number means that more Time Off taken than set by limit

  - ### Constructor Detail

    - #### DateTimeOffIndicators

          public DateTimeOffIndicators()

  - ### Method Detail

    - #### getDate

          public double getDate()

      Gets the date value for this DateTimeOffIndicators.
      Returns:
        date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this DateTimeOffIndicators.
      Parameters:
        `date` -

    - #### getActualOpeningsNSizeIs

          public int getActualOpeningsNSizeIs()

      Gets the actualOpeningsNSizeIs value for this DateTimeOffIndicators.
      Returns:
        actualOpeningsNSizeIs

    - #### setActualOpeningsNSizeIs

          public void setActualOpeningsNSizeIs(int actualOpeningsNSizeIs)

      Sets the actualOpeningsNSizeIs value for this DateTimeOffIndicators.
      Parameters:
        `actualOpeningsNSizeIs` -

    - #### getActualOpenings

          public java.util.List<java.lang.Double> getActualOpenings()

      Gets the actualOpenings value for this DateTimeOffIndicators.
      Returns:
        actualOpenings

    - #### setActualOpenings

          public void setActualOpenings(java.util.List<java.lang.Double> actualOpenings)

      Sets the actualOpenings value for this DateTimeOffIndicators.
      Parameters:
        `actualOpenings` -

    - #### withActualOpenings

          public DateTimeOffIndicators withActualOpenings(java.util.Collection<java.lang.Double> values)

    - #### withActualOpenings

          public DateTimeOffIndicators withActualOpenings(java.lang.Double... values)

    - #### withActualOpeningsNSizeIs

          public DateTimeOffIndicators withActualOpeningsNSizeIs(int value)

    - #### withDate

          public DateTimeOffIndicators withDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.